gpt-4o-transcribe。
核心能力
- 语音转文本 - 转录上传的音频文件
- 文件上传 - 通过 multipart form data 发送音频
- 输出格式 - 支持模型对应的响应格式
快速示例
- cURL
- Python
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GPT-4o Transcribe:语音转文本模型。包含 MixRoute 调用示例与参数。
gpt-4o-transcribe。
curl "https://api.mixroute.ai/v1/audio/transcriptions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@speech.wav" \
-F "model=gpt-4o-transcribe"
from openai import OpenAI
client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")
with open("speech.wav", "rb") as audio_file:
transcript = client.audio.transcriptions.create(
model="gpt-4o-transcribe",
file=audio_file,
)
print(transcript.text)
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
file | file | 是 | 通过 multipart form data 上传的音频文件。 |
model | string | 是 | 固定为 gpt-4o-transcribe。 |
language | string | 否 | 模型支持时指定输入语言代码。 |
prompt | string | 否 | 用于引导转录的可选文本。 |
response_format | string | 否 | 转录响应格式。 |